Option Explicit
Option Strict

Imports System.EnterpriseServices
Imports System.Reflection

<assembly:AssemblyKeyFile("BankVB.snk")>
<assembly:ApplicationName("DotNetBank")>

Namespace Wrox

<Transaction(TransactionOption.RequiresNew)> Public Class BankVB
  	Inherits ServicedComponent

    Public Sub Transfer(FromAC As String, ToAC As String, Amt As Decimal)
    	Dim f As String = "Transferring " & Amt.ToString() & " from " & FromAC & " to " & ToAC
    	
    	ContextUtil.SetComplete()
    End Sub

  End Class

End Namespace
